# setban {disallowed} - Bitcoin

#### Parameters

`subnet` - string, required

The IP/Subnet (see getpeerinfo for nodes IP) with an optional netmask (default is /32 = single IP)

`command` - string, required

‘add’ to add an IP/Subnet to the list, ‘remove’ to remove an IP/Subnet from the list

`bantime` - numeric, optional, default=0

time in seconds how long (or until when if \[absolute] is set) the IP is banned (0 or empty means using the default time of 24h which can also be overwritten by the -bantime startup argument)

`absolute` - boolean, optional, default=false

If set, the bantime must be an absolute timestamp expressed in UNIX epoch time)

#### Request

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' 
--header 'Content-Type: application/json' 
--data-raw '{"jsonrpc": "2.0",
"method": "setban",
"params": [null, null, null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getblock.io/api-reference/bitcoin-btc/btc_setban.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
